Bug 186450 - graphics/mapnik does not build due to missing include/library paths
Summary: graphics/mapnik does not build due to missing include/library paths
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-04 13:00 UTC by stl
Modified: 2014-03-09 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (535 bytes, patch)
2014-02-04 13:00 UTC, stl
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stl 2014-02-04 13:00:00 UTC
Configuring mapnik failes ("the following required dependencies were not found": icuuc, jpeg, proj, png, tiff..) because it does not know to look in /usr/local/{include,lib}.

Fix: mapnik-v2.2.0/SConstruct suggests to specify the paths in CUSTOM_{C,CXX,LD}FLAGS, as done in the attached patch.

Patch attached with submission follows:
How-To-Repeat: (cd /usr/ports/graphics/mapnik && make)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-04 13:00:08 UTC
Maintainer of graphics/mapnik,

Please note that PR ports/186450 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186450

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-04 13:00:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 littlesavage 2014-02-07 19:02:10 UTC
Hi,

Approved!
Comment 4 John Marino freebsd_committer 2014-03-09 09:39:56 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 dfilter service freebsd_committer 2014-03-09 09:51:39 UTC
Author: marino
Date: Sun Mar  9 09:51:32 2014
New Revision: 347561
URL: http://svnweb.freebsd.org/changeset/ports/347561
QAT: https://qat.redports.org/buildarchive/r347561/

Log:
  graphics/mapnik: Attempted unbreak on FreeBSD 10+
  
  PR:		ports/186450
  submitted by:	Steven Lawrance
  approved by:	maintainer (Aleksey Illarionov)

Modified:
  head/graphics/mapnik/Makefile

Modified: head/graphics/mapnik/Makefile
==============================================================================
--- head/graphics/mapnik/Makefile	Sun Mar  9 09:39:50 2014	(r347560)
+++ head/graphics/mapnik/Makefile	Sun Mar  9 09:51:32 2014	(r347561)
@@ -4,7 +4,7 @@
 PORTNAME=	mapnik
 PORTVERSION=	2.2.0
 DISTVERSIONPREFIX=	v
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://mapnik.s3.amazonaws.com/dist/v${PORTVERSION}/
 
@@ -116,6 +116,9 @@ MAKE_ARGS+=	TIFF=False
 IGNORE=		does not install: runs out of virtual memory
 .endif
 
+MAKE_ARGS+=	CUSTOM_CFLAGS=-I${LOCALBASE}/include
+MAKE_ARGS+=	CUSTOM_CXXFLAGS=-I${LOCALBASE}/include
+MAKE_ARGS+=	CUSTOM_LDFLAGS=-L${LOCALBASE}/lib
 MAKE_ARGS+=	WARNING_CXXFLAGS=${WARNING_CXXFLAGS}
 MAKE_ARGS+=	INPUT_PLUGINS="`${ECHO} ${INPUT_PLUGINS} | ${TR} ' ' ,`"
 MAKE_ARGS+=	JOBS=${MAKE_JOBS_NUMBER}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 John Marino freebsd_committer 2014-03-09 09:59:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!